ℹ️
Welcome to the archive of the old FlatPress support forum. Browse more than a decade of FlatPress wisdom! Login is disabled.

The current FlatPress support forum is available here: forum.flatpress.org
FlatPress 0.1010.2 "Sotto Voce" e PHP 5.3
  • Volevo sapere quali sono le migliorie su questa nuova versione di FlatPress 0.1010.2??? Supporta anche Php 5.3 (attualmente uso la 5.2 ma a brevissimo php sul server verrà aggiornato alla 5.3) ?? Grazie
  • FP ha sempre supportato php 5
  • I tested Flatpress 0.1010.1 on IIS 7.5 with PHP 5.3.6. Work fine, also on Apache 2 with PHP 5.3.1.
  • btw, fino a poco tempo fa FlatPress.org e NoWhereLand.it erano ospitati su TopHost (assumo sia questo il tuo host perché ho ricevuto la newsletter ;)) il dominio NoWhereLand.it è ancora gestito via TopHost; lo spazio web invece ora è su A2 Hosting. FYI ;)
  • E riguardo la versione FlatPress 0.1010.2 uscita il giorno 14 Giugno, cosa include rispetto alla .1010.1 ?? Grazie
  • La soluzione a un bug di sicurezza che permetteva di eseguire un attacco XSS nei commenti principalmente. Ti consiglio di vedere sul SVN di FP i cambiamenti rispetto alla 0.1010.1 (revisione 377 o 380).
  • Ho provato ad aggiornare alla 010102, ma ottengo 2 errori in 2 file distinti in 2 sezioni distinte. Avevo aggiornato dalla 010100 alla 010101 aggiornando solo 1 file, come scritto qua: http://flatpress.org/vanilla2/discussion/1367/flatpress-authentication-bug-very-important/#Item_11 Ora posso passare dalla 01010.1 alla 01010.2 aggiornando solo 4-5 files al massimo ?? In definitiva vorrei fare un aggiornamento completo aggiornando solo i files necessari senza dover toccare entrambi i siti che gestisco con FlatPress. Grazie. p.s. Infine vorrei segnalare che nella prima pagina di FlatPress, cliccando su [Read More…] si arriva su una pagina errata che segnala un errore: [Read More…] Fatal error: String "entry110614-135715\"" is not a valid input in /home/evacchi/public_html/home/fp-includes/core/core.utils.php on line 195
  • Panther said: Ho provato ad aggiornare alla 010102, ma ottengo 2 errori in 2 file distinti in 2 sezioni distinte

    potresti dire che errori sono?
    Panther said: Infine vorrei segnalare che nella prima pagina di FlatPress, cliccando su [Read More…] si arriva su una pagina errata che segnala un errore:

    corretto grazie
  • Panther said: Ho provato ad aggiornare alla 010102, ma ottengo 2 errori in 2 file distinti in 2 sezioni distinte. Avevo aggiornato dalla 010100 alla 010101 aggiornando solo 1 file, come scritto qua:
    http://flatpress.org/vanilla2/discussion/1367/flatpress-authentication-bug-very-important/#Item_11

    Intendi quelli della funzione curl_setopt_array? Perché non sono un bug, è colpa del tuo hoster che non ti lascia usare cURL verso i server di flatpress. Puoi anche non curartene e se proprio ti danno fastidio imposta PHP con display_errors su "off" oppure error_reporting solo su "E_FATAL" o "E_ALL & ~E_NOTICE". Per farlo o hai accesso al php.ini (ma non penso) o con un file htaccess o nel defaults.php aggiungi: error_reporting(E_ALL & ~E_NOTICE);
  • Esatto era quello l'errore + un altro pero' non ricordo la stringa di errore. Provero' a riaggiornare ed a riportare eventuali errori. Grazie.
  • Ho aggiornato il sito dalla 0.1010.1 alla 0.1010.2, per ora tutto bene, apparte l'errore a video che si vede in alto quando vado su Amministrazione, Mantein, Check for updates ed in alto nel monitor si visualizza l'errore: Notice: curl extension is not installed in /home/mhd-01/www.guerrenelmondo.it/htdocs/fp-includes/core/core.utils.php on line 370 Ho provato ad inserire la stringa sotto scritta su defaults.php ma senza esito: error_reporting(E_ALL & ~E_NOTICE); Ripeto non è un errore che vedono tutti, solo se vado su check updates, per il resto è tutto ok...............ma non averlo mi andrebbe meglio. Infine un errore a video che forse pure altri hanno riscontrato, andando su Check for updates compare: Unable to retrieve updates You have FlatPress version 0.1010.2 Last stable version for FlatPress is unknown Last unstable version for FlatPress is unknown Grazie
  • Panther said: ma non averlo mi andrebbe meglio.

    Mi dispiace ma se il tuo hoster non ti lascia usare cURL verso il server di flatpress non ci puoi far niente. Noi non ne possiamo fare niente. E visto che curl non può contattare il server di flatpress non è possibile ricevere gli update, cioè l'altro errore. Anche io ce l'ho nel mio sito ma purtroppo è così la faccenda...
  • Posso disabilitare quella scritta che appare in alto ?? Sarà una variabile o altro da disabilitare o cancellare da qualche parte nel file, potrebbe essere ??? Grazie.
  • Panther said: Posso disabilitare quella scritta che appare in alto ??
    Sarà una variabile o altro da disabilitare o cancellare da qualche parte nel file, potrebbe essere ???
    Grazie.

    fp-includes/core/core.utils.php, linea 364 scrivi: return array();
  • Grazie, ora sembrerebbe tutto ok. Niente più errore a video.
  • This discussion has been closed.
    All Discussions
    Start a New Discussion

    Howdy, Stranger!

    It looks like you're new here. If you want to get involved, click one of these buttons!

    In this Discussion